/*
 * Copyright 2015-2018 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.maki2;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Maki2 implements Ikon {
    AERIALWAY_11("maki2-aerialway-11", '\ue900'),
    AERIALWAY_15("maki2-aerialway-15", '\ue901'),
    AIRFIELD_11("maki2-airfield-11", '\ue902'),
    AIRFIELD_15("maki2-airfield-15", '\ue903'),
    AIRPORT_11("maki2-airport-11", '\ue904'),
    AIRPORT_15("maki2-airport-15", '\ue905'),
    ALCOHOL_SHOP_11("maki2-alcohol-shop-11", '\ue906'),
    ALCOHOL_SHOP_15("maki2-alcohol-shop-15", '\ue907'),
    AMERICA_FOOTBALL_11("maki2-america-football-11", '\ue908'),
    AMERICA_FOOTBALL_15("maki2-america-football-15", '\ue909'),
    AMUSEMENT_PARK_11("maki2-amusement-park-11", '\ue90a'),
    AMUSEMENT_PARK_15("maki2-amusement-park-15", '\ue90b'),
    AQUARIUM_11("maki2-aquarium-11", '\ue90c'),
    AQUARIUM_15("maki2-aquarium-15", '\ue90d'),
    ART_GALLERY_11("maki2-art-gallery-11", '\ue90e'),
    ART_GALLERY_15("maki2-art-gallery-15", '\ue90f'),
    ATTRACTION_11("maki2-attraction-11", '\ue910'),
    ATTRACTION_15("maki2-attraction-15", '\ue911'),
    BAKERY_11("maki2-bakery-11", '\ue912'),
    BAKERY_15("maki2-bakery-15", '\ue913'),
    BANK_11("maki2-bank-11", '\ue914'),
    BANK_15("maki2-bank-15", '\ue915'),
    BAR_11("maki2-bar-11", '\ue916'),
    BAR_15("maki2-bar-15", '\ue917'),
    BASEBALL_11("maki2-baseball-11", '\ue918'),
    BASEBALL_15("maki2-baseball-15", '\ue919'),
    BASKETBALL_11("maki2-basketball-11", '\ue91a'),
    BASKETBALL_15("maki2-basketball-15", '\ue91b'),
    BEER_11("maki2-beer-11", '\ue91c'),
    BEER_15("maki2-beer-15", '\ue91d'),
    BICYCLE_11("maki2-bicycle-11", '\ue91e'),
    BICYCLE_15("maki2-bicycle-15", '\ue91f'),
    BICYCLE_SHARE_11("maki2-bicycle-share-11", '\ue920'),
    BICYCLE_SHARE_15("maki2-bicycle-share-15", '\ue921'),
    BUILDING_11("maki2-building-11", '\ue922'),
    BUILDING_15("maki2-building-15", '\ue923'),
    BUS_11("maki2-bus-11", '\ue924'),
    BUS_15("maki2-bus-15", '\ue925'),
    CAFE_11("maki2-cafe-11", '\ue926'),
    CAFE_15("maki2-cafe-15", '\ue927'),
    CAMPSITE_11("maki2-campsite-11", '\ue928'),
    CAMPSITE_15("maki2-campsite-15", '\ue929'),
    CAR_11("maki2-car-11", '\ue92a'),
    CAR_15("maki2-car-15", '\ue92b'),
    CASTLE_11("maki2-castle-11", '\ue92c'),
    CASTLE_15("maki2-castle-15", '\ue92d'),
    CEMETERY_11("maki2-cemetery-11", '\ue92e'),
    CEMETERY_15("maki2-cemetery-15", '\ue92f'),
    CINEMA_11("maki2-cinema-11", '\ue930'),
    CINEMA_15("maki2-cinema-15", '\ue931'),
    CIRCLE_11("maki2-circle-11", '\ue932'),
    CIRCLE_15("maki2-circle-15", '\ue933'),
    CIRCLE_STROKED_11("maki2-circle-stroked-11", '\ue934'),
    CIRCLE_STROKED_15("maki2-circle-stroked-15", '\ue935'),
    CLOTHING_STORE_11("maki2-clothing-store-11", '\ue936'),
    CLOTHING_STORE_15("maki2-clothing-store-15", '\ue937'),
    COLLEGE_11("maki2-college-11", '\ue938'),
    COLLEGE_15("maki2-college-15", '\ue939'),
    COMMERCIAL_11("maki2-commercial-11", '\ue93a'),
    COMMERCIAL_15("maki2-commercial-15", '\ue93b'),
    CRICKET_11("maki2-cricket-11", '\ue93c'),
    CRICKET_15("maki2-cricket-15", '\ue93d'),
    CROSS_11("maki2-cross-11", '\ue93e'),
    CROSS_15("maki2-cross-15", '\ue93f'),
    DAM_11("maki2-dam-11", '\ue940'),
    DAM_15("maki2-dam-15", '\ue941'),
    DANGER_11("maki2-danger-11", '\ue942'),
    DANGER_15("maki2-danger-15", '\ue943'),
    DENTIST_11("maki2-dentist-11", '\ue944'),
    DENTIST_15("maki2-dentist-15", '\ue945'),
    DOCTOR_11("maki2-doctor-11", '\ue946'),
    DOCTOR_15("maki2-doctor-15", '\ue947'),
    DOG_PARK_11("maki2-dog-park-11", '\ue948'),
    DOG_PARK_15("maki2-dog-park-15", '\ue949'),
    DRINKING_WATER_11("maki2-drinking-water-11", '\ue94a'),
    DRINKING_WATER_15("maki2-drinking-water-15", '\ue94b'),
    EMBASSY_11("maki2-embassy-11", '\ue94c'),
    EMBASSY_15("maki2-embassy-15", '\ue94d'),
    ENTRANCE_11("maki2-entrance-11", '\ue94e'),
    ENTRANCE_15("maki2-entrance-15", '\ue94f'),
    FARM_15("maki2-farm-15", '\ue952'),
    FAST_FOOD_11("maki2-fast-food-11", '\ue953'),
    FAST_FOOD_15("maki2-fast-food-15", '\ue954'),
    FERRY_11("maki2-ferry-11", '\ue955'),
    FERRY_15("maki2-ferry-15", '\ue956'),
    FIRE_STATION_11("maki2-fire-station-11", '\ue957'),
    FIRE_STATION_15("maki2-fire-station-15", '\ue958'),
    FUEL_11("maki2-fuel-11", '\ue959'),
    FUEL_15("maki2-fuel-15", '\ue95a'),
    GARDEN_11("maki2-garden-11", '\ue95b'),
    GARDEN_15("maki2-garden-15", '\ue95c'),
    GIFT_11("maki2-gift-11", '\ue95d'),
    GIFT_15("maki2-gift-15", '\ue95e'),
    GOLF_11("maki2-golf-11", '\ue95f'),
    GOLF_15("maki2-golf-15", '\ue960'),
    GROCERY_11("maki2-grocery-11", '\ue961'),
    GROCERY_15("maki2-grocery-15", '\ue962'),
    HAIRDRESSER_11("maki2-hairdresser-11", '\ue963'),
    HAIRDRESSER_15("maki2-hairdresser-15", '\ue964'),
    HARBOR_11("maki2-harbor-11", '\ue965'),
    HARBOR_15("maki2-harbor-15", '\ue966'),
    HEART_11("maki2-heart-11", '\ue967'),
    HEART_15("maki2-heart-15", '\ue968'),
    HELIPORT_11("maki2-heliport-11", '\ue969'),
    HELIPORT_15("maki2-heliport-15", '\ue96a'),
    HOSPITAL_11("maki2-hospital-11", '\ue96b'),
    HOSPITAL_15("maki2-hospital-15", '\ue96c'),
    ICE_CREAM_11("maki2-ice-cream-11", '\ue96d'),
    ICE_CREAM_15("maki2-ice-cream-15", '\ue96e'),
    INDUSTRY_11("maki2-industry-11", '\ue96f'),
    INDUSTRY_15("maki2-industry-15", '\ue970'),
    INFORMATION_11("maki2-information-11", '\ue971'),
    INFORMATION_15("maki2-information-15", '\ue972'),
    LAUNDRY_11("maki2-laundry-11", '\ue973'),
    LAUNDRY_15("maki2-laundry-15", '\ue974'),
    LIBRARY_11("maki2-library-11", '\ue975'),
    LIBRARY_15("maki2-library-15", '\ue976'),
    LIGHTHOUSE_11("maki2-lighthouse-11", '\ue977'),
    LIGHTHOUSE_15("maki2-lighthouse-15", '\ue978'),
    LODGING_11("maki2-lodging-11", '\ue979'),
    LODGING_15("maki2-lodging-15", '\ue97a'),
    MARKER_11("maki2-marker-11", '\ue97b'),
    MARKER_15("maki2-marker-15", '\ue97c'),
    MONUMENT_11("maki2-monument-11", '\ue97d'),
    MONUMENT_15("maki2-monument-15", '\ue97e'),
    MOUNTAIN_11("maki2-mountain-11", '\ue97f'),
    MOUNTAIN_15("maki2-mountain-15", '\ue980'),
    MUSEUM_11("maki2-museum-11", '\ue981'),
    MUSEUM_15("maki2-museum-15", '\ue982'),
    MUSIC_11("maki2-music-11", '\ue983'),
    MUSIC_15("maki2-music-15", '\ue984'),
    PARKING_11("maki2-parking-11", '\ue987'),
    PARKING_15("maki2-parking-15", '\ue988'),
    PARKING_GARAGE_11("maki2-parking-garage-11", '\ue989'),
    PARKING_GARAGE_15("maki2-parking-garage-15", '\ue98a'),
    PARK_11("maki2-park-11", '\ue985'),
    PARK_15("maki2-park-15", '\ue986'),
    PHARMACY_11("maki2-pharmacy-11", '\ue98b'),
    PHARMACY_15("maki2-pharmacy-15", '\ue98c'),
    PICNIC_SITE_11("maki2-picnic-site-11", '\ue98d'),
    PICNIC_SITE_15("maki2-picnic-site-15", '\ue98e'),
    PITCH_11("maki2-pitch-11", '\ue98f'),
    PITCH_15("maki2-pitch-15", '\ue990'),
    PLACE_OF_WORSHIP_11("maki2-place-of-worship-11", '\ue991'),
    PLACE_OF_WORSHIP_15("maki2-place-of-worship-15", '\ue992'),
    PLAYGROUND_11("maki2-playground-11", '\ue993'),
    PLAYGROUND_15("maki2-playground-15", '\ue994'),
    POLICE_11("maki2-police-11", '\ue995'),
    POLICE_15("maki2-police-15", '\ue996'),
    POST_11("maki2-post-11", '\ue997'),
    POST_15("maki2-post-15", '\ue998'),
    PRISON_11("maki2-prison-11", '\ue999'),
    PRISON_15("maki2-prison-15", '\ue99a'),
    RAIL_11("maki2-rail-11", '\ue99b'),
    RAIL_15("maki2-rail-15", '\ue99c'),
    RAIL_LIGHT_11("maki2-rail-light-11", '\ue99d'),
    RAIL_LIGHT_15("maki2-rail-light-15", '\ue99e'),
    RAIL_METRO_11("maki2-rail-metro-11", '\ue99f'),
    RAIL_METRO_15("maki2-rail-metro-15", '\ue9a0'),
    RANGER_STATION_11("maki2-ranger-station-11", '\ue9a1'),
    RANGER_STATION_15("maki2-ranger-station-15", '\ue9a2'),
    RELIGIOUS_CHRISTIAN_11("maki2-religious-christian-11", '\ue9a3'),
    RELIGIOUS_CHRISTIAN_15("maki2-religious-christian-15", '\ue9a4'),
    RELIGIOUS_JEWISH_11("maki2-religious-jewish-11", '\ue9a5'),
    RELIGIOUS_JEWISH_15("maki2-religious-jewish-15", '\ue9a6'),
    RELIGIOUS_MUSLIM_11("maki2-religious-muslim-11", '\ue9a7'),
    RELIGIOUS_MUSLIM_15("maki2-religious-muslim-15", '\ue9a8'),
    RESTAURANT_11("maki2-restaurant-11", '\ue9a9'),
    RESTAURANT_15("maki2-restaurant-15", '\ue9aa'),
    ROADBLOCK_11("maki2-roadblock-11", '\ue9ab'),
    ROADBLOCK_15("maki2-roadblock-15", '\ue9ac'),
    ROCKET_11("maki2-rocket-11", '\ue9ad'),
    ROCKET_15("maki2-rocket-15", '\ue9ae'),
    SCHOOL_11("maki2-school-11", '\ue9af'),
    SCHOOL_15("maki2-school-15", '\ue9b0'),
    SHELTER_11("maki2-shelter-11", '\ue9b1'),
    SHELTER_15("maki2-shelter-15", '\ue9b2'),
    SHOP_11("maki2-shop-11", '\ue9b3'),
    SHOP_15("maki2-shop-15", '\ue9b4'),
    SKIING_11("maki2-skiing-11", '\ue9b5'),
    SKIING_15("maki2-skiing-15", '\ue9b6'),
    SOCCER_11("maki2-soccer-11", '\ue9b7'),
    SOCCER_15("maki2-soccer-15", '\ue9b8'),
    SQUARE_11("maki2-square-11", '\ue9b9'),
    SQUARE_15("maki2-square-15", '\ue9ba'),
    SQUARE_STROKE_11("maki2-square-stroke-11", '\ue9bb'),
    SQUARE_STROKE_15("maki2-square-stroke-15", '\ue9bc'),
    STADIUM_11("maki2-stadium-11", '\ue9bd'),
    STADIUM_15("maki2-stadium-15", '\ue9be'),
    STAR_11("maki2-star-11", '\ue9bf'),
    STAR_15("maki2-star-15", '\ue9c0'),
    STAR_STROKE_11("maki2-star-stroke-11", '\ue9c1'),
    STAR_STROKE_15("maki2-star-stroke-15", '\ue9c2'),
    SUITCASE_11("maki2-suitcase-11", '\ue9c3'),
    SUITCASE_15("maki2-suitcase-15", '\ue9c4'),
    SUSHI_11("maki2-sushi-11", '\ue9c5'),
    SUSHI_15("maki2-sushi-15", '\ue9c6'),
    SWIMMING_11("maki2-swimming-11", '\ue9c7'),
    SWIMMING_15("maki2-swimming-15", '\ue9c8'),
    TELEPHONE_11("maki2-telephone-11", '\ue9c9'),
    TELEPHONE_15("maki2-telephone-15", '\ue9ca'),
    TENNIS_11("maki2-tennis-11", '\ue9cb'),
    TENNIS_15("maki2-tennis-15", '\ue9cc'),
    THEATRE_11("maki2-theatre-11", '\ue9cd'),
    THEATRE_15("maki2-theatre-15", '\ue9ce'),
    TOILET_11("maki2-toilet-11", '\ue9cf'),
    TOILET_15("maki2-toilet-15", '\ue9d0'),
    TOWN_HALL_11("maki2-town-hall-11", '\ue9d1'),
    TOWN_HALL_15("maki2-town-hall-15", '\ue9d2'),
    TRIANGLE_11("maki2-triangle-11", '\ue9d3'),
    TRIANGLE_15("maki2-triangle-15", '\ue9d4'),
    TRIANGLE_STROKED_11("maki2-triangle-stroked-11", '\ue9d5'),
    TRIANGLE_STROKED_15("maki2-triangle-stroked-15", '\ue9d6'),
    VETERINARY_11("maki2-veterinary-11", '\ue9d7'),
    VETERINARY_15("maki2-veterinary-15", '\ue9d8'),
    VOLCANO_11("maki2-volcano-11", '\ue9d9'),
    VOLCANO_15("maki2-volcano-15", '\ue9da'),
    WAREHOUSE_11("maki2-warehouse-11", '\ue9db'),
    WAREHOUSE_15("maki2-warehouse-15", '\ue9dc'),
    WASTE_BASKET_11("maki2-waste-basket-11", '\ue9dd'),
    WASTE_BASKET_15("maki2-waste-basket-15", '\ue9de'),
    WATER_11("maki2-water-11", '\ue9df'),
    WATER_15("maki2-water-15", '\ue9e0'),
    WETLAND_11("maki2-wetland-11", '\ue9e1'),
    WETLAND_15("maki2-wetland-15", '\ue9e2'),
    WHEELCHAIR_11("maki2-wheelchair-11", '\ue9e3'),
    WHEELCHAIR_15("maki2-wheelchair-15", '\ue9e4'),
    ZOO_11("maki2-zoo-11", '\ue9e5'),
    ZOO_15("maki2-zoo-15", '\ue9e6');

    public static Maki2 findByDescription(String description) {
        for (Maki2 font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Maki2(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}